Bug#466619: should evince have a dependency on ghostscript-x?

andrew bezella dovienya at diatribes.org
Wed Feb 20 00:54:54 UTC 2008

Package: evince
Version: 2.20.2-1
Severity: normal

evince does not directly pull in ghostscript-x (although the transitional gs and gs-esp packages do).  when attempting to open a postscript file, i was receiving errors such as:
Unknown device: x11alpha
Unrecoverable error: undefined in .uninstallpagedevice
Operand stack:

** (evince:9811): WARNING **: Interpreter failed.

** (evince:9811): WARNING **: Interpreter failed.

installing ghostscript-x eliminated these errors and allowed me to view the file.

cf. https://bugs.launchpad.net/ubuntu/+source/evince/+bug/83597 (Bug #83597 in evince (Ubuntu))



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.23-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages evince depends on:
ii  gconf2                 2.20.1-2+b1       GNOME configuration database syste
ii  ghostscript [gs-esp]   8.61.dfsg.1-1     The GPL Ghostscript PostScript/PDF
ii  gnome-icon-theme       2.20.0-1          GNOME Desktop icon theme
ii  libart-2.0-2           2.3.20-1          Library of functions for 2D graphi
ii  libatk1.0-0            1.20.0-1          The ATK accessibility toolkit
ii  libbonobo2-0           2.21.90-1         Bonobo CORBA interfaces library
ii  libbonoboui2-0         2.21.90-1         The Bonobo UI library
ii  libc6                  2.7-6             GNU C Library: Shared libraries
ii  libcairo2              1.4.14-1          The Cairo 2D vector graphics libra
ii  libdbus-1-3            1.1.2-1           simple interprocess messaging syst
ii  libdbus-glib-1-2       0.74-1            simple interprocess messaging syst
ii  libdjvulibre15         3.5.20-3          Runtime support for the DjVu image
ii  libgconf2-4            2.20.1-2+b1       GNOME configuration database syste
ii  libglade2-0            1:2.6.2-1         library to load .glade files at ru
ii  libglib2.0-0           2.14.6-1          The GLib library of C routines
ii  libgnome-keyring0      2.20.3-1          GNOME keyring services library
ii  libgnome2-0          The GNOME 2 library - runtime file
ii  libgnomecanvas2-0        A powerful object-oriented display
ii  libgnomeui-0         The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0         1:2.20.1-1        GNOME Virtual File System (runtime
ii  libgtk2.0-0            2.12.8-1          The GTK+ graphical user interface 
ii  libice6                2:1.0.4-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG 
ii  libkpathsea4           2007.dfsg.1-2     TeX Live: path search library for 
ii  libnautilus-extension1 2.20.0-3          libraries for nautilus components 
ii  liborbit2              1:2.14.10-0.1     libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0          1.18.4-1          Layout and rendering of internatio
ii  libpoppler-glib2       0.6.4-1           PDF rendering library (GLib-based 
ii  libpopt0               1.10-3            lib for parsing cmdline parameters
ii  libsm6                 2:1.0.3-1+b1      X11 Session Management library
ii  libstdc++6             4.3-20080202-1    The GNU Standard C++ Library v3
ii  libtiff4               3.8.2-7           Tag Image File Format (TIFF) libra
ii  libx11-6               2:1.0.3-7         X11 client-side library
ii  libxml2                2.6.31.dfsg-1     GNOME XML library
ii  zlib1g                 1: compression library - runtime

evince recommends no packages.

-- no debconf information

More information about the pkg-gnome-maintainers mailing list